# $Revision: 1.15.2.1 $, $Date: 2007/03/19 00:48:52 $
Summary:	Library to manipulate RDF files describing LADSPA plugins
Summary(pl):	Biblioteka do przetwarzania plikw RDF opisujcych wtyczki LADSPA
Name:		liblrdf
Version:	0.3.7
Release:	4
License:	GPL
Group:		Libraries
Source0:	http://plugin.org.uk/lrdf/%{name}-%{version}.tar.gz
# Source0-md5:	8980f8f2fcef60591b7571bdc8cd0763
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libraptor-devel >= 0.9.11
BuildRequires:	libtool
BuildRequires:	ladspa-devel
BuildRequires:	pkgconfig
Requires:	ladspa-common
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a library to make it easy to manipulate RDF files describing
LADSPA plugins. It can also be used for general RDF manipulation. It
can read RDF/XML and N3 files and export N3 files.

%description -l pl
Ta biblioteka powstaa, aby uatwi przetwarzanie plikw RDF
opisujcych wtyczki LADSPA. Moe by uywana take do oglnego
przetwarzania RDF. Jest w stanie czyta pliki RDF/XML i N3 oraz
eksportowa do plikw N3.

%package devel
Summary:	liblrdf header files
Summary(pl):	Pliki nagwkowe liblrdf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libraptor-devel >= 0.9.11

%description devel
liblrdf library header files.

%description devel -l pl
Pliki nagwkowe biblioteki liblrdf.

%package static
Summary:	Static liblrdf library
Summary(pl):	Statyczna biblioteka liblrdf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static liblrdf library.

%description static -l pl
Statyczna biblioteka liblrdf.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_datadir}/ladspa/rdf/ladspa.rdfs

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: liblrdf.spec,v $
Revision 1.15.2.1  2007/03/19 00:48:52  glen
- rel 4 (curl)

Revision 1.15  2004/07/11 13:12:32  qboosh
- release 3 to rebuild with libraptor linked with curl 7.12

Revision 1.14  2004/05/13 09:53:48  qboosh
- release 2

Revision 1.13  2004/04/27 12:50:31  qboosh
- spaces2tabs

Revision 1.12  2004/04/27 12:48:55  emes
- added req libraptor-devel

Revision 1.11  2004/04/20 06:37:08  qboosh
- updated to 0.3.7

Revision 1.10  2004/02/10 01:31:12  freetz
- 0.3.5

Revision 1.9  2004/01/27 20:35:49  qboosh
- updated to 0.3.4, BR: pkgconfig

Revision 1.8  2004/01/04 21:54:43  pawelb
- added br ladspa-devel

Revision 1.7  2003/10/07 19:50:32  qboosh
- BR: libraptor-devel >= 0.9.11

Revision 1.6  2003/10/06 21:57:22  qboosh
- 0.3.2 (fixed buffer overrun and memory leaks)
- rebuild auto* (hey, they switched back to ac 2.13??)

Revision 1.5  2003/07/14 20:44:43  qboosh
- ladspa{,/rdf} dirs moved to ladspa-common; release 2

Revision 1.4  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:49:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/05/13 23:04:57  qboosh
- finished

Revision 1.1  2003/05/13 12:11:41  qboosh
- nothing yet, just saving URLs
